<?php
/**
 * WeightyVote widget component
 * 
 * @package     Joomla.Administrator
 * @subpackage  com_weightyvote
 * @license GNU General Public License version 3 or later; see LICENSE.txt
 * 
 */

 // No direct access to file
defined('_JEXEC' ) or die;

jimport('joomla.application.component.controlleradmin');

class WeightyvoteControllerEdit extends JControllerAdmin {
    
    /**
     * Apply edit controller action. Applies change weightyvote module vote.
     * After change redirect to weightyvote component page.s
     * 
     * @since 1.0.0
     * @access public
     * @return void
     */
    public function apply(){
        // Get the input
        $input = JFactory::getApplication()->input;
        $vote_id = $input->post->get('vote_id');
        if (!isset($vote_id)){
            $vote_id=0;
        }
        $id = $input->get('id');
        
        // Get the model
        $model = $this->getModel('edit');
        $model->votesave($id, $vote_id);

        // Redirect to the list screen.
        $this->setRedirect(JRoute::_('index.php?option=com_weightyvote', false));
    }
    
    /**
     * Default edit controller action.
     * 
     * @since 1.0.0
     * @param type $cachable
     * @param type $urlparams
     * @access public
     * @return void
     */
    function display($cachable = false, $urlparams = []){
        $this->default_view = 'votes';
        parent::display($cachable, $urlparams);
    }
}