<?php
/**
 * WeightyVote widget component
 * 
 * @package     Joomla.Administrator
 * @subpackage  com_weightyvote
 * @license GNU General Public License version 3 or later; see LICENSE.txt
 * 
 */

 // No direct access to file
defined('_JEXEC' ) or die;

jimport('joomla.application.component.controlleradmin');

class WeightyvoteControllerSettings extends JControllerAdmin {
    
    /**
     * Apply settings controller action. After apply returns to settings page.
     * 
     * @since 1.0.0
     * @access public
     * @return void
     */
    public function apply(){
        $input = JFactory::getApplication()->input;
        
        $vars = [
                "vote_id" => "",
                "borderWg" => "#333333",
                "borderSizeWg" => "1",
                "shadowSize" => "10",
                "shadowOpacity" => "0.5",
                "bgHeader" => "#337ab7",
                "colorHeader" => "#ffffff",
                "borderHeader" => "#337ab7",
                "borderSizeHeader" => "1",
                "bgBody" => "#ffffff",
                "colorWg" => "#333333",
                "bgAnswerCount" => "#777777",
                "colorAnswerCount" => "#ffffff",
                "bgButton" => "#337ab7",
                "colorButton" => "#ffffff",
                "borderFooter" => "#c0c0c0",
                "borderSizeFooter" => "1",
                "bgFooter" => "#f5f5f5",
                "colorFooter" => "#333333",
                "colorCounter" => "#ffffff",
                "bgCounter" => "#337ab7",
                "colorLink" => "#337ab7",
                "question" => "",
                "answers" => "",
                "module_tag" => "div",
                "bootstrap_size" => "0",
                "header_tag" => "h3",
                "header_class" => "",
                "style" => "0"
            ];
        
        $params = $input->post->getArray($vars);
        $id = $input->get('id');
        
        // Get the model
        $model = $this->getModel('settings');
        $model->save($id, $params);

        // Redirect to the list screen.
        $this->setRedirect(JRoute::_('index.php?option=com_weightyvote&view=settings&id='.$id, false));
    }
    
    /**
     * Edit button controller action.
     * 
     * @since 1.0.0
     * @access public
     * @return void
     */
    function edit(){
        $input = JFactory::getApplication()->input;
        $id = $input->get('id');
        $this->setRedirect(JRoute::_('index.php?option=com_modules&task=module.edit&id='.$id, false));
        
    }
    
    /**
     * Default settings controller action
     * 
     * @since 1.0.0
     * @param type $cachable
     * @param type $urlparams
     */
    function display($cachable = false, $urlparams = []){
        $this->default_view = 'votes';
        parent::display($cachable, $urlparams);
    }
}