<?php
/**
 * WeightyVote widget component
 * 
 * @package     Joomla.Administrator
 * @subpackage  com_weightyvote
 * @license GNU General Public License version 3 or later; see LICENSE.txt
 * 
 */

 // No direct access to file
defined('_JEXEC' ) or die;

jimport('joomla.application.component.controlleradmin');

class WeightyvoteControllerVotes extends JControllerAdmin {
    
    /**
     * Append new vote controller command
     * 
     * @since 1.0.0
     * @access public
     * @return void
     */
    public function append()
    {
        $model = $this->getModel('votes');
        $model->appendVote();

        $this->setRedirect(JRoute::_('index.php?option=com_weightyvote', false));
    }
    
    /**
     * Publish vote controller command
     * 
     * @since 1.0.0
     * @access public
     * @return void
     */
    public function publish(){
        $input = JFactory::getApplication()->input;
        $id = $input->get('id');
        
        $model = $this->getModel('votes');
        $model->publishVote($id, true);
		
        $this->setRedirect(JRoute::_('index.php?option=com_weightyvote', false));
    }
    
    /**
     * Unpublish vote controller command
     * 
     * @since 1.0.0
     * @access public
     * @return void
     */
    public function unpub(){
        $input = JFactory::getApplication()->input;
        $id = $input->get('id');
        
        $model = $this->getModel('votes');
        $model->publishVote($id, false);
        $this->setRedirect(JRoute::_('index.php?option=com_weightyvote', false));
    }
    
    /**
     * Remove vote controller command
     * 
     * @since 1.0.0
     * @access public
     * @return void
     */
    public function remove(){
        $input = JFactory::getApplication()->input;
        $id = $input->get('id');
        
        $model = $this->getModel('votes');
        $model->removeVote($id);
        $this->setRedirect(JRoute::_('index.php?option=com_weightyvote', false));
    }
    
    /**
     * Default controller command
     * 
     * @since 1.0.0
     * @access public
     * @return void
     */
    function display($cachable = false, $urlparams = []){
        $this->default_view = 'votes';
        parent::display($cachable, $urlparams);
    }
}