<?php
/**
 * WeightyVote widget component
 * 
 * @package     Joomla.Administrator
 * @subpackage  com_weightyvote
 * @license GNU General Public License version 3 or later; see LICENSE.txt
 * 
 */

 // No direct access to file
defined('_JEXEC' ) or die;

jimport('joomla.application.component.model');

class weightyvoteModelEdit extends JModelLegacy {
    /**
     * Get vote_id by module id
     * 
     * @since 1.0.0
     * @access public
     * @param type $id
     * @return int vote_id
     */
    public function getVoteId($id){
        $db = JFactory::getDbo();
        $query = $db->getQuery(true);
        $query->select($db->quoteName(['params']));
        $query->from($db->quoteName('#__modules'));
        $query->where(['id = \''.$id.'\'']);
        $db->setQuery($query);
 
        $results = $db->loadObjectList();

        $voteid = -1;
        foreach($results as $row){
            $voteid = isset(json_decode($row->params)->vote_id) ? (json_decode($row->params)->vote_id*1) : -1;
        }
        
        return $voteid;
    }
    
    /**
     * Apply vote changes in edit view
     * 
     * @since 1.0.0
     * @access public
     * @param type $id
     * @param type $vote_id
     * @return bool returns True if saved
     */
    public function votesave($id, $vote_id)
    {
        $db = JFactory::getDbo();
        $query1 = $db->getQuery(true);
        $query1->select($db->quoteName(['params']));
        $query1->from($db->quoteName('#__modules'));
        $query1->where(['id = \''.$id.'\'']);
        $db->setQuery($query1);
 
        $results = $db->loadObjectList();

        $params = json_encode('');
        foreach($results as $row){
            $p = $row->params;
            $params = json_decode($p);
        }
        
        $params->vote_id = $vote_id;
        
        $query2 = $db->getQuery(true);
        $fields = [
            $db->quoteName('params') . ' = \'' . json_encode($params) . '\'',
        ];
        $conditions = [
            $db->quoteName('id') . ' = ' . $id, 
        ];

        $query2->update($db->quoteName('#__modules'))->set($fields)->where($conditions);

        $db->setQuery($query2);

        $result = $db->execute();
        
        return $result;
    }
}