<?php
/**
 * WeightyVote widget component
 * 
 * @package     Joomla.Administrator
 * @subpackage  com_weightyvote
 * @license GNU General Public License version 3 or later; see LICENSE.txt
 * 
 */

 // No direct access to file
defined('_JEXEC' ) or die;

jimport('joomla.application.component.model');

class WeightyvoteModelSettings extends JModelLegacy {
    
    /**
     * Get weightyvote module vote_id from params by module id
     * 
     * @since 1.0.0
     * @access public
     * @param int $id - weightyvote module id
     * @return int vote_id
     */
    public function getVoteId($id){
        $db = JFactory::getDbo();
        $query = $db->getQuery(true);
        $query->select($db->quoteName(['params']));
        $query->from($db->quoteName('#__modules'));
        $query->where(['id = \''.$id.'\'']);
        $db->setQuery($query);
 
        $results = $db->loadObjectList();

        $voteid = -1;
        foreach($results as $row){
            $voteid = isset(json_decode($row->params)->vote_id) ? (json_decode($row->params)->vote_id*1) : -1;
        }
        
        return $voteid;
    }
    
    /**
     * Load module params by weightyvote module id
     * 
     * @since 1.0.0
     * @access public
     * @param int $id - weightyvote module id
     * @return array $params - module params
     */
    public function load($id)
    {
        $params = [];
        
        $db = JFactory::getDbo();
        $query = $db->getQuery(true);
        $conditions = [
            $db->quoteName('id') . ' = ' . $id, 
        ];

        $query->select($db->quoteName('params'))
                ->from($db->quoteName('#__modules'))
                ->where($conditions);

        $db->setQuery($query);

        $results = $db->loadObjectList();
        foreach($results as $row){
            $params = json_decode($row->params, true);
        }
        
        return $params;
    }
    
    /**
     * Set vote widget module params to $params
     * 
     * @since 1.0.0
     * @access public
     * @param int $id - vote widget module id
     * @param array $params - new params
     * @return bool return true if success
     */
    public function save($id, $params)
    {
        $db = JFactory::getDbo();
        $query = $db->getQuery(true);
        $fields = [
            $db->quoteName('params') . ' = \'' . json_encode($params) . '\'',
        ];
        $conditions = [
            $db->quoteName('id') . ' = ' . $id, 
        ];

        $query->update($db->quoteName('#__modules'))->set($fields)->where($conditions);

        $db->setQuery($query);

        $result = $db->execute();
        
        return $result;
    }
}