<?php
/**
 * WeightyVote widget component
 * 
 * @package     Joomla.Administrator
 * @subpackage  com_weightyvote
 * @license GNU General Public License version 3 or later; see LICENSE.txt
 * 
 */

 // No direct access to file
defined('_JEXEC' ) or die;

jimport( 'joomla.application.component.view');

/**
 * HTML View class for the Vote Widget Component
 *
 */
class WeightyvoteViewEdit extends JViewLegacy
{
    /**
     * Append JQuery script in noConfict mode
     *
     * @param void
     * @access private
     */
    private static function addJQuery(){
        $document = JFactory::getDocument();
        
        if (version_compare(JVERSION, '3.0', 'lt'))
        {
            // Joomla version lower 3.0
            JHTML::_('behavior.framework');
            // load jQuery, if not loaded before
            if (!JFactory::getApplication()->get('jquery'))
            {
                JFactory::getApplication()->set('jquery', true);
                // add jQuery
                $document->addScript('https://ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js');
                $document->addScriptDeclaration('jQuery.noConflict();');
            }
        } else {
            /* use JQuery framework in noConflict mode */
            JHtml::_('jquery.framework');
        }
    }
    
    /**
     * Display the Edit View
     *
     * @since 1.0.0
     * @param string  $tpl  The name of the template file to parse; automatically searches through the template paths.
     * @access public
     * @return void
     */
    function display($tpl = null){
        $input = JFactory::getApplication()->input;
		
        $this->id = $input->get('id');
        $this->title = JText::_('COM_WEIGHTYVOTE_WIDGET_SELECTVOTE');
        $this->addToolbar();
        
        $model = $this->getModel();
        if ($model){
            $this->vote_id = $model->getVoteId($this->id);
        }
        $document = JFactory::getDocument();    
        $document->addScriptDeclaration('var service_domain="'.WEIGHTYVOTE_SERVICE_URL.'";');
        
        /* use JQuery framework in noConflict mode */
        self::addJQuery();
        
        $document->addScript(WEIGHTYVOTE_SCRIPT_EDIT_URL);
        
        /* Display the view */
        parent::display($tpl);
    }
    
    /**
     * Create toolbar with buttons
     * 
     * @since 1.0.0
     * @access protected
     * @return void
     */
    protected function addToolbar(){
        JToolBarHelper::title(JText::_('COM_WEIGHTYVOTE_WIDGET_TOOLBAR_TITLE'));
        JToolBarHelper::back('JTOOLBAR_BACK', 'index.php?option='.JRequest::getCmd('option',''));
        JToolBarHelper::apply('edit.apply', 'JTOOLBAR_APPLY');
    }
}