<?php
/**
 *------------------------------------------------------------------------------
 *  WeightyVote widget 1.0
 *------------------------------------------------------------------------------
 *  @package     Joomla
 *  @license GNU General Public License version 3 or later; see LICENSE.txt
 *------------------------------------------------------------------------------
 */

// No direct access to file
defined('_JEXEC') or die();

class com_weightyvoteInstallerScript {
    
    /**
     * Method to install the extension
     * 
     * @since 1.0.0
     * @access public
     * @param object $parent
     * @return void
     */
    function install($parent){
        // Load language
        JFactory::getLanguage()->load('com_installer', JPATH_ADMINISTRATOR);
        
        // Module install
        $manifest = $parent->get("manifest");
        $pparent = $parent->getParent();
        $source = $pparent->getPath("source");
        $installer = new JInstaller();
        
        if (is_object($manifest->modules) && isset($manifest->modules->module)){
            foreach($manifest->modules->module as $module){
                $attributes = $module->attributes();
                $m = $source.'/'.$attributes['folder'].'/'.$attributes['module'];
                $installer->install($m);
            }
        }
    }
    
    /**
     * Method to uninstall the extension
     * 
     * @since 1.0.0
     * @access public
     * @param object $parent is the class calling this method
     * @return void
     */
    function uninstall($parent) {
        // Load language
        JFactory::getLanguage()->load('com_installer', JPATH_ADMINISTRATOR);

        // Module install
        $manifest = $parent->get("manifest");
        $installer = new JInstaller();
        
        if (is_object($manifest->modules) && isset($manifest->modules->module)){
            foreach($manifest->modules->module as $module){
                $attributes = $module->attributes();
                $m = $attributes['folder'].'/'.$attributes['module'];
            }
        }
    }
    
    /**
     * Method to run before an install/update/uninstall method
     * $parent is the class calling this method
     * $type is the type of change (install, update or discover_install)
     *
     * @return void
     */
    function preflight($type, $parent) {
    }
    
    /**
     * Method to run after an install/update/uninstall method
     * $parent is the class calling this method
     * $type is the type of change (install, update or discover_install)
     *
     * @return void
     */
    function postflight($type, $parent) {
    }
}