<?php
/**
 * WeightyVote widget module
 * 
 * @package WeightyVote
 * @subpackage mod_vote_widget
 * @license GNU General Public License version 3 or later; see LICENSE.txt
 * 
 */
 
// No direct access to file
defined('_JEXEC' ) or die;

class ModWeightyvoteWidgetHelper
{
    /**
     * Append JQuery script in noConfict mode
     *
     * @param void
     * @access private
     */
    private static function addJQuery(){
        $document = JFactory::getDocument();
        
        if (version_compare(JVERSION, '3.0', 'lt'))
        {
            // Joomla version lower 3.0
            JHTML::_('behavior.framework');
            // load jQuery, if not loaded before
            if (!JFactory::getApplication()->get('jquery'))
            {
                JFactory::getApplication()->set('jquery', true);
                // add jQuery
                $document->addScript('https://ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js');
                $document->addScriptDeclaration('jQuery.noConflict();');
            }
        } else {
            /* use JQuery framework in noConflict mode */
            JHtml::_('jquery.framework');
        }
    }
    
    /**
     * Append scripts
     *
     * @param array $param An object containing the module parameters
     * @access public
     */
    public static function addScripts($params){
        /*view params*/
        $style_arr = [
            /*general*/
                'borderWg' => $params->get('borderWg', '#333333'),
                'borderSizeWg' => $params->get('borderSizeWg', "1"),
                'shadowSize' => $params->get('shadowSize', "10"),
                'shadowOpacity' => $params->get('shadowOpacity', "0.5"),

            /*header*/
                'bgHeader' => $params->get('bgHeader', "#337ab7"),
                'colorHeader' => $params->get('colorHeader', "#ffffff"),
                'borderHeader' => $params->get('borderHeader', "#337ab7"),
                'borderSizeHeader' => $params->get('borderSizeHeader', "1"),

            /*body*/
                'bgBody' => $params->get('bgBody', "#ffffff"),
                'colorWg' => $params->get('colorWg', "#333333"),
                'bgAnswerCount' => $params->get('bgAnswerCount', "#777777"),
                'colorAnswerCount' => $params->get('colorAnswerCount', "#ffffff"),
                'bgButton' => $params->get('bgButton', "#337ab7"),
                'colorButton' => $params->get('colorButton', "#ffffff"),
                'borderFooter' => $params->get('borderFooter', "#c0c0c0"),
                'borderSizeFooter' => $params->get('borderSizeFooter', "1"),

            /*footer*/
                'bgFooter' => $params->get('bgFooter', "#f5f5f5"),
                'colorFooter' => $params->get('colorFooter', "#333333"),
                'bgCounter' => $params->get('bgCounter', "#337ab7"),
                'colorCounter' => $params->get('colorCounter', "#ffffff"),
                'colorLink' => $params->get('colorLink', "#337ab7"),
            ];
        
        /* param array */
        $quest_arr = [
                'question' => $params->get('question', ''),
                'answers' => $params->get('answers', ''),
            ];
        
        $vote_id = intval($params->get('vote_id', '-1'));
        $style = json_encode($style_arr);
        $param = json_encode($quest_arr);
        
        self::addJQuery();
        
        $document = JFactory::getDocument();
        $document->addScript(WEIGHTYVOTE_SCRIPT_URL);
        $document->addScriptDeclaration('jQuery(window).on(\'load\', function(){new VoteWidget('.$vote_id.','.$style.','.$param.');});');
        
        return true;
    }
    
    /**
     * Retrieves the block
     *
     * @access public
     * @return html block for widget
     */
    public static function getBlock($vote_id){
        return '<div id="vote-widget-'.$vote_id.'"></div>';
    }
}